////////////////////////////////////////////////////////////
//
// File: jdct.h
// Author: www.ijg.org, modified by Sven Goossens
// Purpose:
//		This header is a heavily modified version of the jdct header found at http://ijg.org/
//		You should not need to change its content at all!
//
///////////////////////////////////////////////////////////
#ifndef DCT_INC
#define DCT_INC

void idctrow(int* blk);
int idctcol(int *blk, unsigned int* T);

#define MULTIPLIER  int
#define BITS_IN_JSAMPLE 8
#define JMETHOD(type,methodname,arglist)  type (*methodname) arglist
#define FAST_FLOAT  float
#define EXTERN(type)		extern type


#define DCT_ISLOW_SUPPORTED
//#define DCT_IFAST_SUPPORTED
#define DCTSIZE 8
#define GLOBAL(type) type
#define DCTELEM int
typedef int INT32;

#define SHIFT_TEMPS
#define RIGHT_SHIFT(x,shft)	((x) >> (shft))
#define ONE	((INT32) 1)
#define DESCALE(x,n)  RIGHT_SHIFT((x) + (ONE << ((n)-1)), n)

#define MULTIPLY16C16(var,const)  ((var) * (const))
#define MULTIPLY(var,const)  MULTIPLY16C16(var,const)

void jpeg_fdct_ifast (int * data);
void jpeg_fdct_islow (int * data);

#endif // #ifndef DCT_INC